MONITOR(8)

NAME
monitor - monitor system activity

SYNOPSIS
/usr/etc/monitor [ -c n ] [ -i n ] [ -p n ] [ -t ] [ -f ]

DESCRIPTION
Monitor displays various measures of system activity. The first portion of the display is a set of bar graphs of processor activity, one for each processor plus a graph for the system labeled ``Total''. Each bar indicates the percentage of time the respective processor was busy and is composed of two symbols, `=' for system time and `-' for user time. The rest of the display contains a number of user selectable groups of system activity monitors. To exit monitor, a return, linefeed, or the letter q may be typed. A ^L (control-L) will cause the screen to be redrawn.

Monitor's command-line options are as follows:

-c n
    specifies of the number of columns to use for displaying the processor bar graphs. Valid choices for n are 1, 2, and 3.

-i n
    specifies the length of the interval (in seconds) to sleep between updates of the screen. The default is 1.

-p n
    If the monitor process is running with sufficient privileges, it will ``affinity'' itself to processor n. The default is processor 0. (See tmp_affinity(2)).

-t  specifies that terse activity monitor descriptions should be used. This allows more information to fit on the screen.

-f  indicates that two screens are to be used; one for the processor graphs and one for the activity monitors. While monitor is running, typing an f will flip between the two screens.

Activity monitors are as follows (labels in -t format are given in parentheses):

Total User Time (usr %)
    Time the system spent in user mode expressed as percent of one processor.

Total System Time (sys %)
    Time the system spent in system mode expressed as percent of one processor.

Total Time (tot %)
    Sum of user and system time expressed as percent of one processor.

Number of Procs (procs)
    Number of processes in the system (occupied process table entries).

Running Procs (on p)
    Number of processes currently running on a processor.

Runnable Procs (runq)
    Number of processes that are runnable and waiting on the run queue to be dispatched to a processor.

Fast Wait (wait)
    Number of processes that are waiting on disk I/O, page I/O, or a kernel resource.

Sleeping Procs (sleep)
    Number of processes that are sleeping.

Swapped Procs (swapped)
    Number of processes that are swapped to disk.

System Calls (sysc)
    Number of system calls per second.

Context Switches (csw)
    Number of context switches per second.

Interrupts (intr)
    Number of interrupts per second.

Traps (traps)
    Number of traps per second.

Forks (fork)
    Number of forks per second.

Vforks (vfork)
    Number of vforks per second.

Execs (exec)
    Number of execs per second.

Packets In (pkt in)
    Number of packets received per second.

Packets Out (pkt out)
    Number of packets transmitted per second.

Disk Transfers (dk xf)
    Number of disk transfers per second.

Disk KBytes (dk KB)
    Number of kilobytes transferred per second.

TTY Chars In (ttyin)
    Number of characters received on TTY lines per second.

TTY Chars Out (ttyout)
    Number of characters transmitted on TTY lines per second.

Page Faults (pf)
    Number of page faults per second.

Page Reclaims (pg rec)
    Number of page reclaims from any free list (minor faults) per second.

Dirty Pg Recs (pgdrec)
    Number of page reclaims from the dirty list per second.

Page Ins (pgin)
    Number of page ins (major faults) per second.

Pages Paged In (ppgin)
    Number of pages paged in per second.

Page Outs (pgout)
    Number of page outs per second.

Pages Paged Out (ppgout)
    Number of pages paged out per second.

Swap Ins (sw in)
    Number of processes swapped in per second.

Pages Swapped In (pswin)
    Number of pages swapped in per second.

Swap Outs (sw out)
    Number of processes swapped out per second.

Pages Swapped Out (pswout)
    Number of pages swapped out per second.

Deficit (deficit)
    Virtual memory deficit in Kbytes

Free Memory (free)
    Free memory in Kbytes.

Total Virtual Mem (tot vm)
    Sum of virtual sizes of all processes.

Active Virtual Mem (act vm)
    Sum of virtual sizes of all processes that have executed in the last 20 seconds.

Total Real Mem (tot rm)
    Sum of resident sizes of all processes.

Active Real Mem (act rm)
    Sum of resident sizes of all processes that have executed in the last 20 seconds.

FS Blk Reads (fs brd)
    Number of actual disk reads initiated by the file system.

FS Blk Writes (fs bwt)
    Number of actual disk writes initiated by the file system.

FS Read Hit (fs rdh)
    Percentage of file system read requests that were satisfied from the buffer cache.

FS Write Hit (fs wth)
    Percentage of file system write requests that did not result in an actual disk write.

Raw Reads (raw rd)
    Number of raw device reads from all devices.

Raw Writes (raw wt)
    Number of raw device writes from all devices.

Raw Read KB (raw rKB)
    Number of kilobytes (KB) transferred via raw device reads.

Raw Write KB (raw wKB)
    Number of kilobytes (KB) transferred via raw device writes.

Locks Used (lckcnt)
    Number of record/file locks (see lockf(3C) or fcntl(2)) currently in use.

Percent Locks Used (%locks)
    The percentage of available record/file locks (see lockf(3C) or fcntl(2)) currently in use.

Files Locked (filcnt)
    Number of file headers currently in use (see lockf(3C) or fcntl(2)). This may also be considered the number of locked files.

Percent Files Used (%files)
    The percentage of files headers currently in use (see lockf(3C) or fcntl(2)).

SEE ALSO
vmstat(1)

BUGS
Monitor samples dynamically changing data. From time to time, some slight anomalies may appear. The most obvious one is that occasionally, the number of processes on processor will be greater than the number of processors in the system.